<script>
  let = init_data = {$init_data};
  var detail = $("#detail").find(".detail");
  common.dspDetailData(init_data, detail);

  {*-- ここからjsでのデータ表示用 ---------------------------------------------------*}
  function doHeaderEnable(pmode) { {*pmode:H Header有効・D 明細有効*}
    let h = $("#headerTop");
    let d = $("#detailTop");
    let m = $("#funcMenu");
    if (pmode == "H") { {*Header有効*}
      h.removeClass("noevent");
      d.addClass("noevent");
      $(".Func2").removeClass("noevent");
      $(".Func4").addClass("noevent");
      $(".Func5").addClass("noevent");
      $(".Func9").addClass("noevent");
      $(".Func12").removeClass("noevent");
      common.setValue($(".Func4"),"廃止設定(F4)");

      {*ヘッダー項目クリア*}
      h.find(".modelbl").removeClass("newLabel");
      {*ヘッダーフォーカス*}
      h.find(".keycd").focus();

    } else { {*Detail有効*}
      h.addClass("noevent");
      d.removeClass("noevent");
      $(".Func2").addClass("noevent");
      $(".Func4").removeClass("noevent");
      $(".Func5").removeClass("noevent");
      $(".Func9").removeClass("noevent");
      $(".Func12").removeClass("noevent");
      if(stringUtil.isEmpty(common.getValue(d.find(".stpdat")))) {
        common.setValue($(".Func4"),"廃止設定(F4)");
      } else {
        common.setValue($(".Func4"),"廃止取消(F4)");
      }

      {*ヘッダー項目*}
      h.find(".modelbl").addClass("newLabel");
      {*データ部フォーカス*}
      d.find(".keycd")[0].focus();
    }
  }

  function clearDetail() {  {*クリア*}
    let frm = $("#headerTop");
    let container = frm.closest(".container");
    common.clearInputData(container);
    common.clearAllError();
    common.dspDetailData(init_data, detail);
    doHeaderEnable("H");
  }

  function clearMeisai() {
    $("#detail1 .detail").remove(); {*明細クリア*}
    $("#detail2 .detail").remove(); {*明細クリア*}
  }

  function dspDetail() { {*データ表示*}
    let frm = $("#headerTop");
    let detail = $("#detail").find(".detail");

    clearMeisai();  {*一旦クリア*}
  console.log("before:"+detail.find(".ruktnm").val());

    var el1 = "";
    var el2 = "";

    var headerData = [];
    var f = common.getInputData(frm);
    headerData.push(encodeJson(f));

    var sendData = {};
    sendData["header"] = headerData;
  
    common.postData(
      "./search.php"
      , sendData
      , function name(data) {
        var d = JSON.parse(data);
        console.log(d);
        changeKtcls(d[0].ktktcd); {*データを表示する前に、拠点識別コンボボックスを制御する*}
console.log("ruktnm:"+detail.find(".ruktnm").val());
        common.dspDetailData(d[0], detail);
console.log("ruktnm:"+detail.find(".ruktnm").val());
        doHeaderEnable("D")
        if (d[0].ktktcd == "") {
          common.setValue(frm.find(".modelbl"), "新規");
        } else {
          common.setValue(frm.find(".modelbl"), "修正");
        }

        if(d[0].ktcls == '50') {
          detail.find(".ruktcd").prop("readonly",true);
        } else {
          detail.find(".ruktcd").prop("readonly",false); 
        }
      }
    )
  }

  {*拠点ｺｰﾄﾞによってktclsのコンボボックスの中身を変更*}
  function changeKtcls(p_ktktcd) {
  	let val1 = "00";
  	if (p_ktktcd == "00") {
		  val1 = "00";
	  } else {
  		val1 = "99";
  	}
    {*削除された要素をもとに戻すため.html(ordktclslist)を入れておく*}
    $ktclslist.html(ordktclslist).find('option').each(function() {
      var val2 = $(this).data('val'); //data-valの値を取得
      {*valueと異なるdata-valを持つ要素を削除*}
      if (val1 != val2) {
        $(this).not(':first-child').remove(); {*先頭空白は残したいので、not first-child*}
      }
    });
  }
  let $ktclslist = $('#af905xKtcls');
  let ordktclslist = $ktclslist.html();


  {*-- ここまでjsでのデータ表示用 ---------------------------------------------------*}


  $(document).ready(function(){
    /* 明細 高さ 自動設定
    //===================================================================*/
    /* イベント
    //===================================================================*/
    //　F1
    $(document).on("click", ".Func1:not('.noevent')", function(e) {
    });
    //　F2 表示
    $(document).on("click", ".Func2:not('.noevent')", function(e) {
      $(".btn-search-before").trigger("click");
    });
    //　F3
    $(document).on("click", ".Func3:not('.noevent')", function(e) {
    });
    //　F4 廃止/取消
    $(document).on("click", ".Func4:not('.noevent')", function(e) {
      $(".btn-haishi").trigger("click");
    });
    //　F5 クリア
    $(document).on("click", ".Func5:not('.noevent')", function(e) {
      clearDetail();
    });
    //　F6
    $(document).on("click", ".Func6:not('.noevent')", function(e) {
    });
    //　F7
    $(document).on("click", ".Func7:not('.noevent')", function(e) {
    });
    //　F8
    $(document).on("click", ".Func8:not('.noevent')", function(e) {
    });
    //　F9 登録/実行
    $(document).on("click", ".Func9:not('.noevent')", function(e) {
      $(".btn-reg-before").trigger("click");
    });
    //　F10 Excel
    $(document).on("click", ".Func10:not('.noevent')", function(e) {
      $(".popup-af05m").trigger("click");
    });
    //　F11
    $(document).on("click", ".Func11:not('.noevent')", function(e) {
    });
    //　F12 メニュー/戻る
    $(document).on("click", ".Func12:not('.noevent')", function(e) {
      $('.btn-close').trigger('click')
    });

    //操作可/不可ボタン 初期表示
    doHeaderEnable('H');

    //MENUボタン===============================
    $(document).on("regSuccess", ".btn-reg", function(e){
      alert("登録しました");
      clearDetail();
    });

    $(document).on("click", ".btn-search-before", function(e) {

      var errflg = false;
      var frmh = $(this).closest(".contents").find(".header");

      if (stringUtil.isEmpty(frmh.find(".ktktcd").val())) {
        errflg = true;
        common.addError(frmh.find(".ktktcd"), "入力して下さい", null, true);
      }

      if (errflg) {
        alert('エラーがあります');
      } else {
        dspDetail();
      }
    });

    $(document).on("click", ".btn-reg-before", function(e) {
      //登録前チェック
      var errflg = false;
      var errflg2 = false;
      var frmh = $(this).closest(".contents").find(".header");
      var frmd = $("#detail");

      common.clearFormError(frmh);

      if (stringUtil.isEmpty(frmh.find(".ktktcd").val())) {
        errflg = true;
        common.addError(frmh.find(".ktktcd"), "入力して下さい", null, true);
      }

      {*半角チェック*}
      if (!stringUtil.checkCharType(frmd.find(".ktktnk").val(), "hankaku")) {
        errflg = true;
        common.addError(frmd.find(".ktktnk"), "半角で入力して下さい。", null, true);
      }

      if (errflg) {
        alert('エラーがあります');
      } else {
        $(".headermenu").find(".btn-reg").trigger("click");
      }
    });

    //=== header ===
    $(document).on("focus", "#headerTop .dummy", function(e) {
      $("#topmenu").find(".Func2").focus();
    });
    $(document).on("afterSelectAfm05x", ".header .ktktcd", function(e){ //検索画面から戻る
      $(".btn-search-before").trigger("click");
    });

    //=== body ===
    $(document).on("focus", "#detailTop .dummy", function(e) {
      $("#topmenu").find(".Func9").focus();
    });

    $(document).on("change", ".ktcls", function(e) {
      var $me = $(this);
      var me = common.getValue($me);
      var detail = $("#detail .detail");

      if(me != '50') {
        detail.find(".ruktcd").prop("readonly",false);
      } else {
        common.clearError(detail.find(".ruktcd"));
        detail.find(".ruktcd").prop("readonly",true);
        common.setValue(detail.find(".ruktcd"),"");        
        common.setValue(detail.find(".ruktnm"),"");        
      }
    });

    //=== footer ===

  });

</script>
